Galon Cloud
Galon API v1

/mail-pro/mailboxes/{mailbox_id}

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /mail-pro/mailboxes/{mailbox_id}

Get a Mail Pro mailbox

Scopes mailpro:read / mailpro:write. Galon Mail Pro (hosted mailboxes) is served only when the service is open to the account (404 not_found otherwise). Errors: envelope {"error": {code, message_key, retryable, ...}}, mailpro.* codes.

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
mailbox_idpathstring · requiredmailbox identifier

Responses

StatusDescriptionBody
200Status, aliases, quota usageobject
401Key missing or invalidError

Examples

curl

curl -X GET "$GALON_API_BASE/mail-pro/mailboxes/<mailbox_id>" \
  -H "Authorization: Bearer $GALON_API_KEY"

PATCH /mail-pro/mailboxes/{mailbox_id}

Change a mailbox's quota

Scopes mailpro:read / mailpro:write. Galon Mail Pro (hosted mailboxes) is served only when the service is open to the account (404 not_found otherwise). Errors: envelope {"error": {code, message_key, retryable, ...}}, mailpro.* codes.

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
mailbox_idpathstring · requiredmailbox identifier

Request body

application/json

FieldTypeDescription
quota_mibinteger · required

Responses

StatusDescriptionBody
200Mailbox updatedobject
401Key missing or invalidError

Examples

curl

curl -X PATCH "$GALON_API_BASE/mail-pro/mailboxes/<mailbox_id>" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"quota_mib": 1}'

DELETE /mail-pro/mailboxes/{mailbox_id}

Delete a mailbox (reversible for 30 days)

Scopes mailpro:read / mailpro:write. Galon Mail Pro (hosted mailboxes) is served only when the service is open to the account (404 not_found otherwise). Errors: envelope {"error": {code, message_key, retryable, ...}}, mailpro.* codes.

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
mailbox_idpathstring · requiredmailbox identifier

Responses

StatusDescriptionBody
200Mailbox deletedobject
401Key missing or invalidError

Examples

curl

curl -X DELETE "$GALON_API_BASE/mail-pro/mailboxes/<mailbox_id>" \
  -H "Authorization: Bearer $GALON_API_KEY"